curl --location --request POST 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-source/url' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"url": "string"
}'
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-source/url'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"url": "string",
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/data-source/url`;
const headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
};
const data = {
"url": "string",
};
axios.post(url, data, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"file_name": "string",
"file_size": 0,
"meta_json": "string",
"modified_at": "string",
"status": "string",
"title": "string",
"tokens": 0,
"type": "string",
"uuid": "string"
}
Data Sources
Create URL Source
Create a URL source for a chatbot specified by chatbot uuid
POST
/
api
/
v1
/
chatbot
/
{uuid}
/
data-source
/
url
curl --location --request POST 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-source/url' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"url": "string"
}'
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-source/url'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"url": "string",
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/data-source/url`;
const headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
};
const data = {
"url": "string",
};
axios.post(url, data, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"file_name": "string",
"file_size": 0,
"meta_json": "string",
"modified_at": "string",
"status": "string",
"title": "string",
"tokens": 0,
"type": "string",
"uuid": "string"
}
Path
Body
Response
curl --location --request POST 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-source/url' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data-raw '{
"url": "string"
}'
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-source/url'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
data = {
"url": "string",
}
response = requests.post(url, headers=headers, json=data)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/data-source/url`;
const headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
};
const data = {
"url": "string",
};
axios.post(url, data, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"file_name": "string",
"file_size": 0,
"meta_json": "string",
"modified_at": "string",
"status": "string",
"title": "string",
"tokens": 0,
"type": "string",
"uuid": "string"
}
⌘I